Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class JdbcAuthenticator

    java.lang.Object
      |
      +--com.caucho.server.http.AbstractAuthenticator
            |
            +--com.caucho.server.http.JdbcAuthenticator

All Implemented Interfaces:
  Authenticator

public class JdbcAuthenticator
extends AbstractAuthenticator

Constructor Summary
`JdbcAuthenticator()`

Method Summary
`java.security.Principal` | `authenticate(java.lang.String username, java.lang.String password)`
`java.security.Principal` | `authenticateCookie(java.lang.String cookieValue)`
`void` | `init(CauchoApplication app, RegistryNode params)`
`boolean` | `isUserInRole(java.security.Principal principal, java.lang.String role)`
`boolean` | `updateCookie(java.security.Principal user, java.lang.String cookieValue)`

Methods inherited from class com.caucho.server.http.AbstractAuthenticator
`authenticate, authenticateCookie, isUserInRole, updateCookie`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcAuthenticator

    public JdbcAuthenticator()

Method Detail

### init

    public void init(CauchoApplication app,
                     RegistryNode params)
              throws ServletException

  Overrides:
    `init` in class `AbstractAuthenticator`

### authenticateCookie

    public java.security.Principal authenticateCookie(java.lang.String cookieValue)

  Overrides:
    `authenticateCookie` in class `AbstractAuthenticator`

### updateCookie

    public boolean updateCookie(java.security.Principal user,
                                java.lang.String cookieValue)

  Overrides:
    `updateCookie` in class `AbstractAuthenticator`

### authenticate

    public java.security.Principal authenticate(java.lang.String username,
                                                java.lang.String password)

  Overrides:
    `authenticate` in class `AbstractAuthenticator`

### isUserInRole

    public boolean isUserInRole(java.security.Principal principal,
                                java.lang.String role)

  Overrides:
    `isUserInRole` in class `AbstractAuthenticator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD